ecrop Docs

Asset (GET)

GET
/omni-omni/v1/assets/{name}

Authorization

Bearer Authentication
AuthorizationBearer <token>

In: header

Path Parameters

name*string

Response Body

application/json

curl -X GET "https://example.com/omni-omni/v1/assets/string"
{
  "assetType": "BEARER_BOND",
  "clientToken": "string",
  "clientWebhook": "string",
  "description": "string",
  "emailBody": "string",
  "emailSubject": "string",
  "entryType": "SINGLE",
  "essentialContentOfRight": "string",
  "eventualRightOfThirdParties": "string",
  "extraOrdinaryTerminationRights": "string",
  "files": [
    {
      "content": "string",
      "description": "string",
      "fileExtension": "string",
      "fileType": "PICTURE",
      "id": 0,
      "title": "string",
      "url": "string"
    }
  ],
  "individualShare": true,
  "interestCalculationMethod": "string",
  "interestPayBackDate": "2019-08-24T14:15:22Z",
  "interestRate": 0,
  "investmentCondition": "string",
  "isin": "string",
  "key": "string",
  "loanPayBackDate": "2019-08-24T14:15:22Z",
  "mark": "string",
  "name": "string",
  "numberOfVotingRight": 0,
  "ordinaryTerminationRights": "string",
  "ownerEmail": "string",
  "quantity": 0,
  "restrictedShare": true,
  "restrictionsOnBehalfOfThirdParties": "string",
  "signingEndDate": "2019-08-24T14:15:22Z",
  "signingStartDate": "2019-08-24T14:15:22Z",
  "status": "INACTIVE",
  "subordinationAgreement": "string",
  "valuePerShare": 0,
  "webhookResult": "string"
}
Empty